perl-Dist-Zilla-Plugin-MetaProvides-2.1.11-3-rosa2016.1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-MetaProvides - When nothing else works, pull in hand-crafted metadata from a specified file

Property Value
Distribution ROSA 2016.1
Repository ROSA Contrib i586
Package filename perl-Dist-Zilla-Plugin-MetaProvides-2.1.11-3-rosa2016.1.noarch.rpm
Package name perl-Dist-Zilla-Plugin-MetaProvides
Package version 2.1.11
Package release 3-rosa2016.1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/Dist-Zilla-Plugin-MetaProvides
License GPL+ or Artistic
Maintainer -
Download size 27.43 KB
Installed size 56.99 KB
This Distribution Contains a small bundle of plugins for various ways of
populating the 'META.yml' that is built with your distribution.
The initial reason for this is due to stuff that uses the MooseX::Declare
manpage style class definitions not being parseable by many tools upstream,
so this is here to cover this problem by defining it in the metadata.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-MetaProvides-2.1.11-3-rosa2016.1.noarch.rpm 2.1.11 noarch ROSA Contrib
perl-Dist-Zilla-Plugin-MetaProvides - - -

Requires

Name Value
perl(Dist::Zilla::Util::ConfigDumper) >= 0.2.1
perl(Module::Extract::Namespaces) -
perl(Module::Extract::VERSION) -
perl(Moose) -
perl(Moose::Role) -
perl(MooseX::Types) -
perl(MooseX::Types::Moose) -
perl(abi) >= 5.20.3
perl(aliased) -

Provides

Name Value
perl(Dist::Zilla::MetaProvides::ProvideRecord) == 2.1.11
perl(Dist::Zilla::MetaProvides::Types) == 2.1.11
perl(Dist::Zilla::Plugin::MetaProvides) == 2.1.11
perl(Dist::Zilla::Role::MetaProvider::Provider) == 2.1.11
perl-Dist-Zilla-Plugin-MetaProvides == 2.1.11-3:2016.1

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package perl-Dist-Zilla-Plugin-MetaProvides-2.1.11-3-rosa2016.1.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-MetaProvides-2.1.11-3.src.rpm

Install Howto

  1. Enable ROSA Contrib repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-MetaProvides rpm package:
    # urpmi perl-Dist-Zilla-Plugin-MetaProvides

Files

Path
/usr/lib/perl5/vendor_perl/5.20.3/Dist/
/usr/lib/perl5/vendor_perl/5.20.3/Dist/Zilla/
/usr/lib/perl5/vendor_perl/5.20.3/Dist/Zilla/MetaProvides/ProvideRecord.pm
/usr/lib/perl5/vendor_perl/5.20.3/Dist/Zilla/MetaProvides/Types.pm
/usr/lib/perl5/vendor_perl/5.20.3/Dist/Zilla/Plugin/MetaProvides.pm
/usr/lib/perl5/vendor_perl/5.20.3/Dist/Zilla/Role/
/usr/lib/perl5/vendor_perl/5.20.3/Dist/Zilla/Role/MetaProvider/Provider.pm
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaProvides/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaProvides/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaProvides/README
/usr/share/man/man3/Dist::Zilla::MetaProvides::ProvideRecord.3pm.xz
/usr/share/man/man3/Dist::Zilla::MetaProvides::Types.3pm.xz
/usr/share/man/man3/Dist::Zilla::Plugin::MetaProvides.3pm.xz
/usr/share/man/man3/Dist::Zilla::Role::MetaProvider::Provider.3pm.xz

Changelog

2017-02-17 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1.11-3
- (d5ca8ec) MassBuild#1257: Increase release tag

See Also

Package Description
perl-Dist-Zilla-Plugin-MetaProvides-Class-2.1.0-4-rosa2016.1.noarch.rpm Scans files and tries to identify classes using Class::Discover
perl-Dist-Zilla-Plugin-MetaProvides-FromFile-2.1.1-5-rosa2016.1.noarch.rpm If nothing else works, pull in hand-crafted metadata from a specified file
perl-Dist-Zilla-Plugin-MetaProvides-Package-2.3.2-3-rosa2016.1.noarch.rpm Extract namespaces/version from traditional packages for provides
perl-Dist-Zilla-Plugin-MetaRecommends-0.30.0-8-rosa2016.1.noarch.rpm Provide optional prereqs in meta file
perl-Dist-Zilla-Plugin-MinimumPerl-1.6.0-3-rosa2016.1.noarch.rpm Detects the minimum version of Perl required for your dist
perl-Dist-Zilla-Plugin-ModuleBuild-XSOrPP-0.40.0-3-rosa2016.1.noarch.rpm Add a --pp option to your Build.PL to force an XS-less build
perl-Dist-Zilla-Plugin-ModuleInstall-1.1.1-3-rosa2016.1.noarch.rpm Build Module::Install based Distributions with Dist::Zilla
perl-Dist-Zilla-Plugin-NoAutomatedTesting-0.80.0-5-rosa2016.1.noarch.rpm Avoid running under CPAN Testers
perl-Dist-Zilla-Plugin-NoTabsTests-0.10.0-7-rosa2016.1.noarch.rpm Release tests making sure hard tabs aren't used
perl-Dist-Zilla-Plugin-OurPkgVersion-0.80.0-4-rosa2016.1.noarch.rpm No line insertion and does Package version with our
perl-Dist-Zilla-Plugin-PerlTidy-0.210.0-4-rosa2016.1.noarch.rpm Perltidy your dist
perl-Dist-Zilla-Plugin-PodLoom-5.1.0-3-rosa2016.1.noarch.rpm Process module documentation through Pod::Loom
perl-Dist-Zilla-Plugin-PodPurler-0.93.401-5-rosa2016.1.noarch.rpm Like PodWeaver, but more erratic and amateurish
perl-Dist-Zilla-Plugin-PodWeaver-4.6.0-3-rosa2016.1.noarch.rpm Do horrible things to POD, producing better docs
perl-Dist-Zilla-Plugin-Prepender-2.2.0-3-rosa2016.1.noarch.rpm Prepend lines at the top of your perl files
Advertisement
Advertisement